import { AnchorProvider } from '@coral-xyz/anchor';
import { AddressLookupTableAccount, Commitment, Connection, Signer, TransactionConfirmationStatus, TransactionError, TransactionInstruction, TransactionSignature } from '@solana/web3.js';
export interface MangoSignatureStatus {
    confirmations?: number | null;
    confirmationStatus?: TransactionConfirmationStatus;
    err: TransactionError | null;
    signature: TransactionSignature;
    slot: number;
}
export type SendTransactionOptions = {
    alts?: AddressLookupTableAccount[];
    postSendTxCallback?: ({ txid }: {
        txid: string;
    }) => void;
    prioritizationFee?: number;
    latestBlockhash?: {
        blockhash: string;
        lastValidBlockHeight: number;
    };
    txConfirmationCommitment?: Commitment;
    preflightCommitment?: Commitment;
    additionalSigners?: Signer[];
    multipleConnections?: Connection[];
};
export declare function sendTransaction(provider: AnchorProvider, ixs: TransactionInstruction[], alts: AddressLookupTableAccount[], opts?: SendTransactionOptions): Promise<MangoSignatureStatus>;
export declare const createComputeBudgetIx: (microLamports: number) => TransactionInstruction;
export declare class MangoError extends Error {
    message: string;
    txid: string;
    constructor({ txid, message }: {
        txid: any;
        message: any;
    });
}
//# sourceMappingURL=rpc.d.ts.map